libzypp: zyppng::StrMatcher::Impl Class Reference

libzypp 17.38.14

zyppng::StrMatcher::Impl Class Reference

StrMatcher implementation. More...

## Public Member Functions
| Impl ()
| Impl (std::string search_r, const Match &flags_r)
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
| ~Impl ()
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
void | compile () const
| Compile the pattern.
bool | isCompiled () const
| Whether the pattern is already compiled.
bool | doMatch (const char *string_r) const
| Return whether string matches.
const std::string & | searchstring () const
| The current searchstring.
void | setSearchstring (std::string string_r)
| Set a new searchstring.
const Match & | flags () const
| The current search flags.
void | setFlags (const Match &flags_r)
| Set new search flags.

## Private Member Functions
void | invalidate ()
| Has to be called if _search or _flags change.
Impl * | clone () const
| clone for RWCOW_pointer

## Private Attributes
std::string | _search
Match | _flags
scoped_ptr< sat::detail::CDatamatcher > | _matcher

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

StrMatcher implementation.

Note
  Take care to release any allocated regex by calling `::datamatcher_free`.

Definition at line 168 of file StrMatcher.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/4]

zypp::StrMatcher::Impl::Impl | ( |  | ) |
| inline

Definition at line 170 of file StrMatcher.cc.

## ◆ Impl() [2/4]

zypp::StrMatcher::Impl::Impl | ( | std::string | search_r,
|  | const Match & | flags_r )
| inline

Definition at line 173 of file StrMatcher.cc.

## ◆ Impl() [3/4]

zypp::StrMatcher::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [4/4]

zypp::StrMatcher::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::StrMatcher::Impl::~Impl | ( |  | ) |
| inline

Definition at line 178 of file StrMatcher.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::StrMatcher::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::StrMatcher::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ compile()

void zypp::StrMatcher::Impl::compile | ( |  | ) | const
| inline

Compile the pattern.

Definition at line 187 of file StrMatcher.cc.

## ◆ isCompiled()

bool zypp::StrMatcher::Impl::isCompiled | ( |  | ) | const
| inline

Whether the pattern is already compiled.

Definition at line 205 of file StrMatcher.cc.

## ◆ doMatch()

bool zypp::StrMatcher::Impl::doMatch | ( | const char * | string_r | ) | const
| inline

Return whether string matches.

Definition at line 209 of file StrMatcher.cc.

## ◆ searchstring()

const std::string & zypp::StrMatcher::Impl::searchstring | ( |  | ) | const
| inline

The current searchstring.

Definition at line 219 of file StrMatcher.cc.

## ◆ setSearchstring()

void zypp::StrMatcher::Impl::setSearchstring | ( | std::string | string_r | ) |
| inline

Set a new searchstring.

Definition at line 223 of file StrMatcher.cc.

## ◆ flags()

const Match & zypp::StrMatcher::Impl::flags | ( |  | ) | const
| inline

The current search flags.

Definition at line 227 of file StrMatcher.cc.

## ◆ setFlags()

void zypp::StrMatcher::Impl::setFlags | ( | const Match & | flags_r | ) |
| inline

Set new search flags.

Definition at line 231 of file StrMatcher.cc.

## ◆ invalidate()

void zypp::StrMatcher::Impl::invalidate | ( |  | ) |
| inlineprivate

Has to be called if _search or _flags change.

Definition at line 236 of file StrMatcher.cc.

## ◆ clone()

Impl * zypp::StrMatcher::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 251 of file StrMatcher.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _search

std::string zypp::StrMatcher::Impl::_search
| private

Definition at line 244 of file StrMatcher.cc.

## ◆ _flags

Match zypp::StrMatcher::Impl::_flags
| private

Definition at line 245 of file StrMatcher.cc.

## ◆ _matcher

scoped_ptr< sat::detail::CDatamatcher> zypp::StrMatcher::Impl::_matcher
| mutableprivate

Definition at line 246 of file StrMatcher.cc.

The documentation for this class was generated from the following file:

- zypp/base/StrMatcher.cc